// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.3
// 	protoc        (unknown)
// source: proto/health_service.proto

package proto

import (
	_ "google.golang.org/genproto/googleapis/api/annotations"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ReadinessProbeRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ReadinessProbeRequest) Reset() {
	*x = ReadinessProbeRequest{}
	mi := &file_proto_health_service_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ReadinessProbeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReadinessProbeRequest) ProtoMessage() {}

func (x *ReadinessProbeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_health_service_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReadinessProbeRequest.ProtoReflect.Descriptor instead.
func (*ReadinessProbeRequest) Descriptor() ([]byte, []int) {
	return file_proto_health_service_proto_rawDescGZIP(), []int{0}
}

type ReadinessProbeResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ReadinessProbeResponse) Reset() {
	*x = ReadinessProbeResponse{}
	mi := &file_proto_health_service_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ReadinessProbeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReadinessProbeResponse) ProtoMessage() {}

func (x *ReadinessProbeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_health_service_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReadinessProbeResponse.ProtoReflect.Descriptor instead.
func (*ReadinessProbeResponse) Descriptor() ([]byte, []int) {
	return file_proto_health_service_proto_rawDescGZIP(), []int{1}
}

type LivenessProbeRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *LivenessProbeRequest) Reset() {
	*x = LivenessProbeRequest{}
	mi := &file_proto_health_service_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LivenessProbeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LivenessProbeRequest) ProtoMessage() {}

func (x *LivenessProbeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_health_service_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LivenessProbeRequest.ProtoReflect.Descriptor instead.
func (*LivenessProbeRequest) Descriptor() ([]byte, []int) {
	return file_proto_health_service_proto_rawDescGZIP(), []int{2}
}

type LivenessProbeResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *LivenessProbeResponse) Reset() {
	*x = LivenessProbeResponse{}
	mi := &file_proto_health_service_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LivenessProbeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LivenessProbeResponse) ProtoMessage() {}

func (x *LivenessProbeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_health_service_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LivenessProbeResponse.ProtoReflect.Descriptor instead.
func (*LivenessProbeResponse) Descriptor() ([]byte, []int) {
	return file_proto_health_service_proto_rawDescGZIP(), []int{3}
}

var File_proto_health_service_proto protoreflect.FileDescriptor

var file_proto_health_service_proto_rawDesc = []byte{
	0x0a, 0x1a, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x5f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c,
	0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x1a, 0x1c, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x17, 0x0a, 0x15, 0x52, 0x65, 0x61,
	0x64, 0x69, 0x6e, 0x65, 0x73, 0x73, 0x50, 0x72, 0x6f, 0x62, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x22, 0x18, 0x0a, 0x16, 0x52, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x65, 0x73, 0x73, 0x50,
	0x72, 0x6f, 0x62, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x16, 0x0a, 0x14,
	0x4c, 0x69, 0x76, 0x65, 0x6e, 0x65, 0x73, 0x73, 0x50, 0x72, 0x6f, 0x62, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x22, 0x17, 0x0a, 0x15, 0x4c, 0x69, 0x76, 0x65, 0x6e, 0x65, 0x73, 0x73,
	0x50, 0x72, 0x6f, 0x62, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xc7, 0x02,
	0x0a, 0x0d, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12,
	0x9b, 0x01, 0x0a, 0x0e, 0x52, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x65, 0x73, 0x73, 0x50, 0x72, 0x6f,
	0x62, 0x65, 0x12, 0x34, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c,
	0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x2e, 0x52, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x65, 0x73, 0x73, 0x50, 0x72, 0x6f, 0x62,
	0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x35, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79,
	0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x52, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x65,
	0x73, 0x73, 0x50, 0x72, 0x6f, 0x62, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x1c, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x16, 0x12, 0x14, 0x2f, 0x76, 0x31, 0x2f, 0x68, 0x65, 0x61,
	0x6c, 0x74, 0x68, 0x2f, 0x72, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x65, 0x73, 0x73, 0x12, 0x97, 0x01,
	0x0a, 0x0d, 0x4c, 0x69, 0x76, 0x65, 0x6e, 0x65, 0x73, 0x73, 0x50, 0x72, 0x6f, 0x62, 0x65, 0x12,
	0x33, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74,
	0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e,
	0x4c, 0x69, 0x76, 0x65, 0x6e, 0x65, 0x73, 0x73, 0x50, 0x72, 0x6f, 0x62, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x34, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65,
	0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x2e, 0x4c, 0x69, 0x76, 0x65, 0x6e, 0x65, 0x73, 0x73, 0x50, 0x72, 0x6f,
	0x62, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x1b, 0x82, 0xd3, 0xe4, 0x93,
	0x02, 0x15, 0x12, 0x13, 0x2f, 0x76, 0x31, 0x2f, 0x68, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x2f, 0x6c,
	0x69, 0x76, 0x65, 0x6e, 0x65, 0x73, 0x73, 0x42, 0xd3, 0x01, 0x0a, 0x21, 0x63, 0x6f, 0x6d, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70,
	0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x42, 0x12, 0x48,
	0x65, 0x61, 0x6c, 0x74, 0x68, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x72, 0x6f, 0x74,
	0x6f, 0x50, 0x01, 0x5a, 0x08, 0x2e, 0x2e, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0xa2, 0x02, 0x03,
	0x47, 0x43, 0x54, 0xaa, 0x02, 0x1c, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x43, 0x65, 0x6c,
	0x6c, 0x73, 0x2e, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0xca, 0x02, 0x1c, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x5c, 0x43, 0x65, 0x6c, 0x6c,
	0x73, 0x5c, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0xe2, 0x02, 0x28, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x5c, 0x43, 0x65, 0x6c, 0x6c, 0x73,
	0x5c, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x1e, 0x47,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x3a, 0x3a, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x3a, 0x3a, 0x54, 0x6f,
	0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_health_service_proto_rawDescOnce sync.Once
	file_proto_health_service_proto_rawDescData = file_proto_health_service_proto_rawDesc
)

func file_proto_health_service_proto_rawDescGZIP() []byte {
	file_proto_health_service_proto_rawDescOnce.Do(func() {
		file_proto_health_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_health_service_proto_rawDescData)
	})
	return file_proto_health_service_proto_rawDescData
}

var file_proto_health_service_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_proto_health_service_proto_goTypes = []any{
	(*ReadinessProbeRequest)(nil),  // 0: gitlab.cells.topology_service.ReadinessProbeRequest
	(*ReadinessProbeResponse)(nil), // 1: gitlab.cells.topology_service.ReadinessProbeResponse
	(*LivenessProbeRequest)(nil),   // 2: gitlab.cells.topology_service.LivenessProbeRequest
	(*LivenessProbeResponse)(nil),  // 3: gitlab.cells.topology_service.LivenessProbeResponse
}
var file_proto_health_service_proto_depIdxs = []int32{
	0, // 0: gitlab.cells.topology_service.HealthService.ReadinessProbe:input_type -> gitlab.cells.topology_service.ReadinessProbeRequest
	2, // 1: gitlab.cells.topology_service.HealthService.LivenessProbe:input_type -> gitlab.cells.topology_service.LivenessProbeRequest
	1, // 2: gitlab.cells.topology_service.HealthService.ReadinessProbe:output_type -> gitlab.cells.topology_service.ReadinessProbeResponse
	3, // 3: gitlab.cells.topology_service.HealthService.LivenessProbe:output_type -> gitlab.cells.topology_service.LivenessProbeResponse
	2, // [2:4] is the sub-list for method output_type
	0, // [0:2] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_proto_health_service_proto_init() }
func file_proto_health_service_proto_init() {
	if File_proto_health_service_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_health_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_health_service_proto_goTypes,
		DependencyIndexes: file_proto_health_service_proto_depIdxs,
		MessageInfos:      file_proto_health_service_proto_msgTypes,
	}.Build()
	File_proto_health_service_proto = out.File
	file_proto_health_service_proto_rawDesc = nil
	file_proto_health_service_proto_goTypes = nil
	file_proto_health_service_proto_depIdxs = nil
}
